Subject: bug#9699: frame-auto-hide-function

From: martin rudalics <[email-masked]>
Date: Sat, 08 Oct 2011 15:23:37 +0200

> frame-auto-hide-function has no NEWS entry, and is missing a :version tag.
 >
 > It needs a NEWS entry (which should contain some mention of "iconify")
 > because it changes existing behaviour.

Will be done as soon as I have fixed some bugs ...

 > Example: I like my diff buffers in a separate frame, so I use:
 >
 > emacs -Q --eval "(setq special-display-regexps '(\".*diff\\*\"))"
 >
 > C-x C-f /path/to/modified/file/under/vcs
 > C-x v =
 >    -> diff buffer pops up in new frame
 >
 > Now using "C-x k" to kill the diff buffer iconifies the associated
 > frame. It used to just delete it (which I think was better, but YMMV).

... like this - the argument KILL of `window--delete' is unused.

martin, who feels sorry for the inconvenience